Package: groovy.util

## [Groovy] Class GroovyShellTestCase

- groovy.util.GroovyShellTestCase

- Groovy test case, which recreates internal GroovyShell in each setUp ()

  Authors:
    Alex Tkachman

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyShell` | `shell` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyTestCase` | `TEST_SCRIPT_NAME_PREFIX, log`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GroovyShell` | `createNewShell()` Create new shell instance.
    `` | `protected void` | `setUp()`
    `` | `protected void` | `tearDown()`
    `` | `protected def` | `withBinding(Map map, Closure closure)` Executes closure with given binding
    `` | `protected def` | `withBinding(Map map, String script)` Evaluates script with given binding

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyTestCase` | `assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFail, shouldFail, shouldFailWithCause`

- - ### Field Detail

    - #### @Delegate protected GroovyShell shell

  - ### Method Detail

    - #### protected GroovyShell createNewShell()

      Create new shell instance. Overwrite it to customize

    - #### protected void setUp()

    - #### protected void tearDown()

    - #### protected def withBinding(Map map, Closure closure)

      Executes closure with given binding

    - #### protected def withBinding(Map map, String script)

      Evaluates script with given binding